# Get Banking Transaction Refresh (/data-api/api-reference/v3/getBankingTransactionRefresh)

Query the status of a previously submitted asynchronous banking transaction refresh.

## GET /v1/banking/transactions/refresh/{refresh_id}

**Get Banking Transaction Refresh**

Query the status of a previously submitted asynchronous banking transaction refresh.

**Tags:** Transactions, v1, v2, v3, banking

### Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `refresh_id` | path | string | Yes | A unique identifier specifying the refresh job. |

### Responses

**200:** OK

| Field | Type | Description |
|-------|------|-------------|
| `created_at` | string | The timestamp when the refresh job was created. |
| `end_user_id` | string | The unique identifier for the end user. |
| `refresh_id` | string | The unique identifier for the refresh job. |
| `status` | string | The status of the refresh job. |
| `updated_at` | string | The timestamp when the refresh job was last updated. |

**400:** Bad Request

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**404:** Not Found

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**503:** Service Unavailable

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

### Example Request
```bash
curl -X GET "https://api.fiskil.com/v1/banking/transactions/refresh/{refresh_id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
```